CVE-2005-1751

NameCVE-2005-1751
DescriptionRace condition in shtool 2.0.1 and earlier allows local users to create or modify arbitrary files via a symlink attack on the .shtool.$$ temporary file, a different vulnerability than CVE-2005-1759.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-789-1, DTSA-15-1
NVD severitylow (attack range: local)
Debian Bugs311206, 314464

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mysql-ocaml (PTS)wheezy1.1.1-1fixed
jessie1.1.2-3fixed
stretch1.2.0-3fixed
buster, sid1.2.1-1fixed
shtool (PTS)wheezy, jessie2.0.8-6fixed
buster, sid, stretch2.0.8-9fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mysql-ocamlsource(unstable)1.0.3-6unimportant314464
php4source(unstable)4:4.3.10-16low
php4sourceetch4:4.3.10-16etch1lowDTSA-15-1
php4sourcesarge4:4.3.10-16highDSA-789-1
php4sourcewoody4:4.1.2-7.woody5highDSA-789-1
shtoolsource(unstable)2.0.1-2low311206

Notes

[sarge] - shtool <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems